org.apache.maven.scm

## Class NoSuchCommandScmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.NoSuchCommandScmException

- All Implemented Interfaces:
    Serializable

      public class NoSuchCommandScmException
      extends ScmException

  Version:
    $Id: NoSuchCommandScmException.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchCommandScmException(String commandName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommandName()` Return the command name.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchCommandScmException

          public NoSuchCommandScmException(String commandName)

  - ### Method Detail

    - #### getCommandName

          public String getCommandName()

      Return the command name.
      Returns:
        The command name

Copyright © 2003–2015. All rights reserved.